Settings
Update workflow settings
Update the customer feedback workflow configuration. Controls which steps (feedback, review, referral) are included in the customer experience.
PUT
/
customer-feedback-system
/
settings
Update workflow settings
curl --request PUT \
--url https://www.renovationfind.com/rest-api-v1/customer-feedback-system/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": "FEEDBACK_REVIEW_REFERRAL",
"disableDraftReviewStep": false
}
'import requests
url = "https://www.renovationfind.com/rest-api-v1/customer-feedback-system/settings"
payload = {
"config": "FEEDBACK_REVIEW_REFERRAL",
"disableDraftReviewStep": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({config: 'FEEDBACK_REVIEW_REFERRAL', disableDraftReviewStep: false})
};
fetch('https://www.renovationfind.com/rest-api-v1/customer-feedback-system/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}{
"success": false,
"error": "Rate limit exceeded. Maximum 250 requests per 5 minutes. Please retry later."
}Authorizations
JWT token issued from the RenovationFind Manager Portal
Body
application/json
Controls which steps are included in the customer experience:
FEEDBACK_REVIEW_REFERRAL- All three stepsFEEDBACK_REVIEW- Feedback + Review onlyFEEDBACK_REFERRAL- Feedback + Referral onlyFEEDBACK- Feedback only
Available options:
FEEDBACK_REVIEW_REFERRAL, FEEDBACK_REVIEW, FEEDBACK_REFERRAL, FEEDBACK If true, skips the draft review editing step
Previous
Update email templateUpdate the custom email message sent to customers when a customer feedback request is created.
Max 2000 characters.
Next
⌘I
Update workflow settings

